Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(78)

Issue 2056933002: Add breaking changes and release 1.0.0. (Closed)

Created:
4 years, 4 months ago by nweiz
Modified:
4 years, 4 months ago
Reviewers:
Jennifer Messerly
CC:
reviews_dartlang.org
Base URL:
git@github.com:dart-lang/string_scanner@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Add breaking changes and release 1.0.0. This makes `.error()` default to empty spans rather than single-character ones. This better represents the semantics of failing at a particular position in the text. It also makes `lastMatch` reset whenever the scanner's position changes. This makes `.error()` behave more consistently when primarily doing character-based scanning, since it won't unexpectedly emit an error for stale match data. R=jmesserly@google.com Committed: https://github.com/dart-lang/string_scanner/commit/42cb2dcd76ad8e613847af5e983cab73df1094a4

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+71 lines, -9 lines) Patch
M CHANGELOG.md View 1 chunk +13 lines, -0 lines 0 comments Download
M lib/src/line_scanner.dart View 1 chunk +2 lines, -0 lines 0 comments Download
M lib/src/span_scanner.dart View 2 chunks +5 lines, -2 lines 0 comments Download
M lib/src/string_scanner.dart View 5 chunks +15 lines, -4 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/error_test.dart View 1 chunk +2 lines, -2 lines 0 comments Download
M test/string_scanner_test.dart View 2 chunks +33 lines, -0 lines 0 comments Download

Messages

Total messages: 4 (1 generated)
nweiz
4 years, 4 months ago (2016-06-09 22:37:37 UTC) #1
Jennifer Messerly
1.0 LGTM!
4 years, 4 months ago (2016-06-10 00:48:11 UTC) #2
nweiz
4 years, 4 months ago (2016-06-14 23:21:28 UTC) #4
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
42cb2dcd76ad8e613847af5e983cab73df1094a4 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698